de.esprit.common.type

## Enum TimeSpan

- java.lang.Object
- - java.lang.Enum<TimeSpan>
  - - de.esprit.common.type.TimeSpan

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TimeSpan>

      public enum TimeSpan
      extends java.lang.Enum<TimeSpan>
      implements NlsKey

  These are all available timespan values
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAY`
    `HOUR`
    `MINUTE`
    `MONTH`
    `SECOND`
    `YEAR`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `int` | `getValue()`
    `static int` | `toDays(long millis)`
    `static int` | `toHours(long millis)`
    `static int` | `toMinutes(long millis)`
    `static int` | `toMonth(long millis)` Warning: the resulting value is an estimation supposing a month has 30 days.
    `static int` | `toSeconds(long millis)`
    `static int` | `toYears(long millis)` Warning: the resulting value is an estimation supposing a month has 30 days.
    `static TimeSpan` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TimeSpan[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### SECOND

          public static final TimeSpan SECOND

    - #### MINUTE

          public static final TimeSpan MINUTE

    - #### HOUR

          public static final TimeSpan HOUR

    - #### DAY

          public static final TimeSpan DAY

    - #### MONTH

          public static final TimeSpan MONTH

    - #### YEAR

          public static final TimeSpan YEAR

  - ### Method Detail

    - #### values

          public static TimeSpan[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimeSpan c : TimeSpan.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimeSpan valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getValue

          public int getValue()

    - #### toSeconds

          public static int toSeconds(long millis)

    - #### toMinutes

          public static int toMinutes(long millis)

    - #### toHours

          public static int toHours(long millis)

    - #### toDays

          public static int toDays(long millis)

    - #### toMonth

          public static int toMonth(long millis)

      Warning: the resulting value is an estimation supposing a month has 30 days.

    - #### toYears

          public static int toYears(long millis)

      Warning: the resulting value is an estimation supposing a month has 30 days.
      See Also:
        `toMonth(long)`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.